Get a message of an order
GET
/orders/{order_id}/messages/{message_id}
const url = 'https://acme.mykreezalid.com/front_api/v1/orders/4242/messages/4243';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://acme.mykreezalid.com/front_api/v1/orders/4242/messages/4243 \ --header 'Authorization: Bearer <token>'Returns one message of the conversation of an order. The signed-in member must be the customer or the vendor of the order.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”order_id
required
integer
Identifier of the order.
Example
4242message_id
required
integer
Identifier of the message.
Example
4243Responses
Section titled “Responses”The message.
Media typeapplication/json
A message of the conversation between the customer and the vendor of an order.
object
object
Returned when the message is created only.
string
id
integer
order_id
integer
user_id
Identifier of the member who wrote the message.
integer
role
Role of the author: 1 customer, 2 vendor, 3 marketplace.
integer
subject
string
content
string
created
string format: date-time
Example
{ "object": "OrderMessage", "id": 4242, "order_id": 4243, "user_id": 4244, "role": 1, "subject": "Delivery date", "content": "Can you deliver on Friday?"}No signed-in member, or the message does not exist on this order or the signed-in member is neither the customer nor the vendor of the order (message message with provided id not found).
Media typeapplication/json
Error body returned by the Front API when it refuses a request.
object
code
HTTP status code, repeated in the body.
integer
status
string
message
Human-readable reason.
string
Example
{ "code": 403, "status": "error", "message": "Token not found in request"}